/*
 * I2C.h
 *
 *  Created on: Mar 26, 2018
 *      Author: user
 */

#ifndef I2C_H_
#define I2C_H_

#ifdef __cplusplus
extern "C"
{
#endif

volatile uint16_t holdData;
volatile uint8_t X1;
volatile uint8_t X2;
volatile uint8_t Y1;
volatile uint8_t Y2;
volatile uint8_t Z1;
volatile uint8_t Z2;
volatile int16_t X;
volatile int16_t Y;
volatile int16_t Z;
volatile int AccStore[250];
volatile int countA;
volatile uint16_t t;
volatile int starti;

extern void InitializeI2C(void);
extern void configADXL(void);

extern void readAccel(uint8_t addrW, int bytes2Read);
extern void writeAccel(uint8_t addr, uint8_t dataW);
extern void readOnce(void);

extern void DIO0_IRQHandler(void);
extern void I2C_IRQHandler(void);

#ifdef __cplusplus
}
#endif

#endif /* I2C_H_ */
